# Class CIM_FCPortRateStatistics
extends CIM_StatisticalData

FCPortRateStatistics is the performance rate for the FCPort. The Frame and Byte rates report the average of a counter change per second and the maximum counter change per second over a specified interval, the SampleInterval, which is defined in the parent class, StatisticalData.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_StatisticalData
|
+--CIM_FCPortRateStatistics

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | FCPortRateStatistics is the performance rate for the FCPort. The Frame and Byte rates report the average of a counter change per second and the maximum counter change per second over a specified interval, the SampleInterval, which is defined in the parent class, StatisticalData.
UMLPackagePath | string | CIM::Device::FC
Version | string | 2.10.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
MaxRxFrameRate | uint64 |
Description | string | MaxRxFrameRate is the maximum receive frame rate achieved.
MappingStrings | string | FC-SWAPI.T11|PerformanceRates|1.SWAPI_STATS_LBL_RFPR
ModelCorrespondence | string | CIM_StatisticalData.SampleInterval
MaxTxFrameRate | uint64 |
Description | string | MaxTxFrameRate is the maximum transmit frame rate achieved.
MappingStrings | string | FC-SWAPI.T11|PerformanceRates|1.SWAPI_STATS_LBL_TFPR
ModelCorrespondence | string | CIM_StatisticalData.SampleInterval
PeakRxRate | uint64 |
Description | string | PeakRxRate is the maximum receive byte rate achieved.
MappingStrings | string | FC-SWAPI.T11|PerformanceRates|1. SWAPI_STATS_LBL_RBPR
ModelCorrespondence | string | CIM_StatisticalData.SampleInterval
PeakTxRate | uint64 |
Description | string | PeakTxRate is the maximum transmit byte rate achieved.
MappingStrings | string | FC-SWAPI.T11|PerformanceRates|1. SWAPI_STATS_LBL_TBPR
ModelCorrespondence | string | CIM_StatisticalData.SampleInterval
RxFrameRate | uint64 |
Description | string | RxFrameRate is the instantaneous receive frame rate.
MappingStrings | string | FC-SWAPI.T11|PerformanceRates|1.SWAPI_STATS_LBL_RFRR
ModelCorrespondence | string | CIM_StatisticalData.SampleInterval
RxRate | uint64 |
Description | string | RxRate is the instantaneous receive byte rate.
MappingStrings | string | FC-SWAPI.T11|PerformanceRates|1.SWAPI_STATS_LBL_RBYR
ModelCorrespondence | string | CIM_StatisticalData.SampleInterval
TxFrameRate | uint64 |
Description | string | TxFrameRate is the instantaneous transmit frame rate.
MappingStrings | string | FC-SWAPI.T11|PerformanceRates|1.SWAPI_STATS_LBL_TFRR
ModelCorrespondence | string | CIM_StatisticalData.SampleInterval
TxRate | uint64 |
Description | string | TxRate is the instantaneous transmit byte rate.
MappingStrings | string | FC-SWAPI.T11|PerformanceRates|1. SWAPI_STATS_LBL_TBYR
ModelCorrespondence | string | CIM_StatisticalData.SampleInterval

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_StatisticalData
InstanceID | string | CIM_StatisticalData
SampleInterval | datetime | CIM_StatisticalData
StartStatisticTime | datetime | CIM_StatisticalData
StatisticTime | datetime | CIM_StatisticalData

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
ResetSelectedStats | uint32 | CIM_StatisticalData